Bug 166190 - Review Request: perl-Class-DBI-Pager : Pager utility for Class::DBI
Review Request: perl-Class-DBI-Pager : Pager utility for Class::DBI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166184 166199
Blocks: FE-ACCEPT 166203
  Show dependency treegraph
 
Reported: 2005-08-17 16:33 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 11:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.52 KB, patch)
2005-09-05 07:12 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:33:57 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pager.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pager-0.06-2.src.rpm

Description: 

Pager utility for Class::DBI

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-09-05 07:11:27 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in ENglish and is legible
- sources match upstream
- builds OK in mock on FC4 (i386)
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- do directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- remove redundant BR: perl
- add BR: perl(Data::Page), perl(Exporter::Lite), perl(DBD::SQLite)
- include license text

Nitpicks:

- honor %%{_smp_mflags}
- remove explicit perl(Class::DBI) dep - it's autodetected
Comment 2 Paul Howarth 2005-09-05 07:12:23 EDT
Created attachment 118457 [details]
Patch addressing review issues
Comment 4 Paul Howarth 2005-09-08 06:18:44 EDT
Approved.

Note You need to log in before you can comment on or make changes to this bug.